
######

## example weight functions

# uniform
## this function returns 1 but we use r/r as it doesn't like integrating this function otherwise
w <- function(r){r/r};

##
# beta distribution with a=5, and b=10

w<-function(r){dbeta(r,5,10)};

######

# example roc curves

# example without ties
s = cbind(1, 0.9, 0.8, 0.7, 0.6, 0.5, 0.4, 0.3, 0.2, 0.1);
l = cbind(1, 1, 0, 1, 0, 0, 1, 0, 1, 0);

# example with ties
s = cbind(1, 0.9, 0.8, 0.7, 0.6, 0.6, 0.6, 0.6, 0.6, 0.5, 0.1);
l = cbind(1, 1, 0, 0, 1, 1, 0, 0, 0, 1, 0);

# perfect ROC - rAUC should always be 1
s = cbind(1, 0.9,0.85, 0.8, 0.7, 0.6, 0.5, 0.4, 0.3, 0.2, 0.1);
l = cbind(1, 1, 1, 1,1, 1, 0, 0, 0, 0, 0);

######

source('rauc.r');source('vauc.r');source('tauc.r');source('sauc.r');

# calculate rAUC
rauc(s,l,w)

# calculate AUC
install.packages("pROC")
library(pROC)
res<-roc(l,s);

# plot ROC curve
plot(res);
